Summary: Tools to manage the Linux NetLabel subsystem
Name: netlabel_tools
Version: 0.30.0
Release: 5%{?dist}
License: GPLv2
URL: https://github.com/netlabel/netlabel_tools
Source: https://github.com/netlabel/netlabel_tools/releases/download/v%{version}/%{name}-%{version}.tar.gz
Patch3000: rhbz1683434.patch

BuildRequires: make gcc systemd kernel-headers libnl3-devel doxygen
Requires: libnl3
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
NetLabel is a kernel subsystem which implements explicit packet labeling
protocols such as CIPSO for Linux.  Packet labeling is used in secure networks
to mark packets with the security attributes of the data they contain.  This
package provides the necessary user space tools to query and configure the
kernel subsystem.

%prep
%autosetup -p1

%build
%configure
%make_build

%install
rm -rf "%{buildroot}"
mkdir -p "%{buildroot}/etc"
mkdir -p "%{buildroot}/%{_sbindir}"
mkdir -p "%{buildroot}/%{_unitdir}"
mkdir -p "%{buildroot}/%{_mandir}"
%make_install

# NOTE: disable due to messing with the running kernel required by the tests
#%check
#make V=1 check

%preun
%systemd_preun netlabel.service

%postun
%systemd_postun netlabel.service

%post
%systemd_post netlabel.service

%files
%license LICENSE
%doc README
%doc CHANGELOG
%doc SUBMITTING_PATCHES
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0755,root,root) %{_sbindir}/netlabelctl
%attr(0755,root,root) %{_sbindir}/netlabel-config
%attr(0644,root,root) %{_unitdir}/netlabel.service
%attr(0644,root,root) %config(noreplace) /etc/netlabel.rules

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.30.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Xin Cheng <denisecheng@tencent.com> - 0.30.0-1
- package init.
